#!/usr/bin/ksh

ZIP_PATH=`pwd`/Data.zip
if [ ! -f ${ZIP_PATH} ]
then
   {
      echo "Please run Jdk_migrate.sh from the directory where you downloaded the fixpack to. "
      echo "Current directory is " `pwd`
      exit 1
   }
fi


if [ "${JAVA_HOME}" != "" ]
 then
    {
     echo "JAVA_HOME is set as $JAVA_HOME"
    }
   else
   {
     while :
     do
     {
          echo "Please enter your JAVA_HOME absolute path: "
          read JAVA_HOME
          if [ "${JAVA_HOME}" = "" ]
          then
              continue
          fi

          if [ ! -f $JAVA_HOME/bin/java ]
          then
          {
               echo
               echo "Unable to locate file: ${JAVA_HOME}/bin/java"
               echo
               continue
          }
          fi

          break
     }
    done
   }
   fi
#
CLASSPATH=`pwd`/fixpack.jar:`pwd`/install.jar:$JAVA_HOME/lib/classes.zip:.:$CLASSPATH
export CLASSPATH
PATH=$PATH:$JAVA_HOME/bin
export PATH
#

ulimit_n=1024
ulimit_p=`ulimit -n`
if test $ulimit_n -gt $ulimit_p
then
     echo "MSG:      Increasing ulimit to $ulimit_n"
     ulimit -n $ulimit_n
fi


java -classpath $CLASSPATH Jdk_migrate


if test $ulimit_n -gt $ulimit_p
then
     ulimit -n $ulimit_p
fi


echo ""
exit 0


